[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TGuidHelper

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Helper type for TGUID

## Declaration

Source position: syshelph.inc line 35

`type TGuidHelper = record helper`
`class function Create();` |  | Initialize a TGUID instance from data.
`class function NewGuid;` |  | Create a new GUID
`function ToByteArray();` |  | Convert to array of bytes
`function ToString();` |  | Convert to string
`end;`

## Inheritance

`TGuidHelper` |  | Helper type for TGUID

## Description

TGuidHelper provides various methods for a TGUID type.

## See also

TGUID |  | Standard GUID representation type.